Bug 127214 - [PATCH] portaudit: Please change <URL> to URL
Summary: [PATCH] portaudit: Please change <URL> to URL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-08 18:50 UTC by Ulrich Spoerlein
Modified: 2011-02-05 16:00 UTC (History)
1 user (show)

See Also:


Attachments
portaudit.diff (1.47 KB, patch)
2008-09-08 18:50 UTC, Ulrich Spoerlein
no flags Details | Diff
portaudit.diff (626 bytes, patch)
2011-01-31 20:20 UTC, Ulrich Spoerlein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spoerlein 2008-09-08 18:50:02 UTC
Hello SecTeam,

the current format, in which portaudit is printing its URLs is a pain
in the ass to copy and paste anywhere. Usually a double click will
select the space delimited word under the cursor, but thanks to the
surrounding < > you cannot paste this into a browser easily.

I also haven't seen <http://foo> used anywhere with URLs, just with
email addresses. If there's no good reason to use <URL> please, please
drop the surrounding brackets.

Fix: This will update the portaudit(1) tool and the printing via ports make(1)
The webpage generating script would still need to be adjusted.
Comment 1 Edwin Groothuis freebsd_committer 2008-09-08 22:30:47 UTC
Responsible Changed
From-To: freebsd-ports-bugs->secteam

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 simon 2011-01-30 11:51:58 UTC
On 30 Jan 2011, at 11:45, Ulrich Sp=F6rlein wrote:

> the above PR is trivial, but changes the output (to something more
> useful, IMHO).

Hey,

Whoops - that PR is rather ol. Sorry about that.

The changes to portaudit looks good. Assuming you have run-time tested =
it, it's approved, but also remember to bump PORTVERSION to X.Y.(Z+1). I =
don't know if you tried to commit to ports before - if in doubt feel =
free to ask :-).

The bsd.ports.mk part need to be handled separately as all such changes =
need to be portmgr approved.  I would probably suggest to either split =
that into a separate PR and assign that to portmgr.

> Is it known that other scripts are parsing this output?

I don't know of any... I know there are an SNMP module which can get =
port audit info, but I don't know how it works...

--=20
Simon L. B. Nielsen
Comment 3 dfilter service freebsd_committer 2011-01-31 20:17:11 UTC
uqs         2011-01-31 20:17:04 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    ports-mgmt/portaudit Makefile 
    ports-mgmt/portaudit/files portaudit-cmd.sh 
  Log:
  Don't enclose URLs in <>, it makes them harder to copy&paste and URLs are
  not email addresses.
  
  PR:             ports/127214 (first half)
  Reviewed by:    simon
  Feature safe:   yes
  
  Revision  Changes    Path
  1.28      +1 -1      ports/ports-mgmt/portaudit/Makefile
  1.18      +3 -3      ports/ports-mgmt/portaudit/files/portaudit-cmd.sh
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Ulrich Spörlein freebsd_committer 2011-01-31 20:18:28 UTC
Responsible Changed
From-To: secteam->portmgr

Over to portmgr for the bsd.port.mk parts
Comment 5 Ulrich Spoerlein 2011-01-31 20:20:47 UTC
The changes to port-mgmt/portaudit have been committed, please approve
changes to bsd.port.mk. New patch attached.
Comment 6 Erwin Lansing freebsd_committer 2011-02-02 16:49:25 UTC
State Changed
From-To: open->analyzed

Take for -exp run.
Comment 7 dfilter service freebsd_committer 2011-02-05 15:56:08 UTC
erwin       2011-02-05 15:55:58 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk 
  Log:
  Drop the use of <> around portaudit URLs
  
  PR:             127214
  Submitted by:   uqs
  Tested on:      pointyhat-west
  Feature safe:   yes
  
  Revision  Changes    Path
  1.667     +2 -2      ports/Mk/bsd.port.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Erwin Lansing freebsd_committer 2011-02-05 15:56:16 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!